Subject: Re: bug#28905: 11.90.2.2017-07-25; TeX-documentation-texdoc blocks

From: Mosè Giordano <[email-masked]>
Date: Fri, 20 Oct 2017 00:39:48 +0200

Hi Fran,

2017-10-19 23:38 GMT+02:00 Fran Burstall (Gmail) <[email-masked]>:
> Greetings!
>
> I do
>
> M-x TeX-documentation-texdoc
>
> and supply the argument amsmath when prompted.  An evince
> window fires with the documentation but emacs is blocked
> until I exit evince.
>
> If I try the same thing with tex-doc, evince fires but emacs
> remains usable.
>
> Experiment suggests that the former uses
> shell-command-to-string and this blocks while the latter

That's true, but I can't reproduce your issue.  What happens if you run

    texdoc amsmath

in your terminal?  For me the viewer is opened in the background, so
the shell is free and the prompt readily appears, without waiting for
the viewer to be closed.  Isn't this the case for you?

> uses call-process to fire texdoc and this does not block
> (or, at least, exits once texdoc has handed off to evince).
>
> Thanks for the wonderful package!

You're welcome!

Bye,
Mosè